## org.eclipse.datatools.enablement.ase.catalog
Interface ASESQLs

    public interface ASESQLs

Field Summary
`static java.lang.String` `ALL_TABLES_QUERY`
`static java.lang.String` `ALL_USER_DEFINED_DATATYPE_INFO_QUERY`
`static java.lang.String` `ATTRIBUTES_OF_DATABASE_QUERY`
`static java.lang.String` `ATTRIBUTES_OF_DATABASE_QUERY_PRE150`
`static java.lang.String` `CACHE_BINDINGS_OF_DATABASE_QUERY`
`static java.lang.String` `CACHE_QUERY`
`static java.lang.String` `COLUMNS_OF_TABLE_QUERY_12x`
`static java.lang.String` `COMPILED_OBJECTS_QUERY`
`static java.lang.String` `COMPUTED_COL_EXPRESSION`
`static java.lang.String` `CONCURRENCY_THRESHOLD_QUERY`
`static java.lang.String` `DATABASE_QUERY`
`static java.lang.String` `DATABASE_QUERY_PARM_4_DBNAME`
`static java.lang.String` `DB_RECOVERY_ORDER`
`static java.lang.String` `ENCRYPT_COL_ATTR`
`static java.lang.String` `FUNC_INDEX_COL_QUERY`
`static java.lang.String` `INDEX_COL_QUERY`
`static java.lang.String` `INDEX_COL_STATUS3_QUERY`
`static java.lang.String` `INDEX_INFO_QUERY`
`static java.lang.String` `INDEX_NAME_QUERY`
`static java.lang.String` `INLINE_CHECKCONSTRAINT_OF_COLUMN`
`static java.lang.String` `LOCK_PROMOTE`
`static java.lang.String` `LOG_IO_SIZE_OF_DB`
`static java.lang.String` `PARAMETERS_QUERY`
`static java.lang.String` `PARTITION_QUERY`
`static java.lang.String` `PLACE_OBJECT_OF_TABLE_QUERY`
`static java.lang.String` `QROUP_USERS_QUERY`
`static java.lang.String` `QUERY_AUTHID_PRIVILEGES`
`static java.lang.String` `QUERY_CHECK_CONSTRAINTS`
`static java.lang.String` `QUERY_CHECK_CONSTRAINTS_CREATOR`
`static java.lang.String` `QUERY_CHECK_CONSTRAINTS_SOURCE`
`static java.lang.String` `QUERY_COLUMN_BINDED_DEFAULT`
`static java.lang.String` `QUERY_COLUMN_BINDED_RULE`
`static java.lang.String` `QUERY_COLUMN_DATATYPE`
`static java.lang.String` `QUERY_COLUMN_ENCRYPTIONKEY`
`static java.lang.String` `QUERY_COLUMN_STATUS`
`static java.lang.String` `QUERY_COLUMNCHECK_CONSTRAINTS_CREATOR`
`static java.lang.String` `QUERY_COMPUTED_COLUMNS`
`static java.lang.String` `QUERY_COMPUTED_ENCRYPTED_COLUMNS`
`static java.lang.String` `QUERY_DATABASE_CACHES`
`static java.lang.String` `QUERY_ENCRYPTED_COLUMNS`
`static java.lang.String` `QUERY_FOREIGN_KEY_NAME`
`static java.lang.String` `QUERY_FOREIGNKEY_MATCH_FULL`
`static java.lang.String` `QUERY_FOREIGNKEY_MEMBERS`
`static java.lang.String` `QUERY_FOREIGNKEY_UNIQUEINDEX`
`static java.lang.String` `QUERY_INDICES_OF_SCHEMA_TABLE`
`static java.lang.String` `QUERY_INLINE_DEFAULT`
`static java.lang.String` `QUERY_OBJECT_ID`
`static java.lang.String` `QUERY_OBJECT_PRIVILEGES`
`static java.lang.String` `QUERY_OBJECT_PRIVILEGES_FILTER_SCHEMA`
`static java.lang.String` `QUERY_PROCEDURE_STATUS`
`static java.lang.String` `QUERY_REF_INDEX`
`static java.lang.String` `QUERY_SCHEMA`
`static java.lang.String` `QUERY_SYSTEM_PROCEDURE`
`static java.lang.String` `QUERY_TABLE_COLUMNS`
`static java.lang.String` `QUERY_TABLE_TYPE_INFO`
`static java.lang.String` `QUERY_TEMPDB_NAME`
`static java.lang.String` `QUERY_TRIGGER_ENABLE`
`static java.lang.String` `QUERY_TRIGGER_INFO`
`static java.lang.String` `QUERY_TRIGGERS_OF_SCHEMA_TABLE`
`static java.lang.String` `QUERY_USER_INFO`
`static java.lang.String` `REMOTE_OBJECT_OF_PROXY_TABLE_QUERY`
`static java.lang.String` `ROLES_QUERY`
`static java.lang.String` `ROLES_QUERY_NONDBO`
`static java.lang.String` `SDSSERVER_QUERY`
`static java.lang.String` `SEGMENT_QUERY`
`static java.lang.String` `SEGMENT_THRESHOLD_QUERY`
`static java.lang.String` `SELECT_HASH_PARTITIONS`
`static java.lang.String` `SELECT_RANGE_LIST_PARTITIONS`
`static java.lang.String` `SELECT_ROUND_PARTITIONS`
`static java.lang.String` `SP_CONFIGURE`
`static java.lang.String` `SQL_GET_GROUPS_IN_A_DATABASE`
`static java.lang.String` `SQL_GET_USERS_IN_A_DATABASE`
`static java.lang.String` `STORED_PROCEDURE_QUERY`
`static java.lang.String` `SYSTEM_DEFINED_DATATPYE_QUERY`
`static java.lang.String` `TABLE_CACHE_INFO_QUERY`
`static java.lang.String` `TABLE_CACHE_STRATEGY_QUERY`
`static java.lang.String` `TABLE_INFO_QUERY`
`static java.lang.String` `TABLE_PARTITION_COLS`
`static java.lang.String` `TABLE_PARTITION_INFO`
`static java.lang.String` `TRIGGER_QUERY`
`static java.lang.String` `UNIQUE_PK_QUERY`
`static java.lang.String` `USER_DEFINED_DATATYPE_INFO_QUERY`
`static java.lang.String` `USER_DEFINED_DATATYPE_QUERY`

Field Detail

### QUERY_SCHEMA

    static final java.lang.String QUERY_SCHEMA

See Also:
  Constant Field Values

### ALL_TABLES_QUERY

    static final java.lang.String ALL_TABLES_QUERY

See Also:
  Constant Field Values

### QUERY_TABLE_TYPE_INFO

    static final java.lang.String QUERY_TABLE_TYPE_INFO

See Also:
  Constant Field Values

### TABLE_INFO_QUERY

    static final java.lang.String TABLE_INFO_QUERY

See Also:
  Constant Field Values

### PLACE_OBJECT_OF_TABLE_QUERY

    static final java.lang.String PLACE_OBJECT_OF_TABLE_QUERY

See Also:
  Constant Field Values

### COMPILED_OBJECTS_QUERY

    static final java.lang.String COMPILED_OBJECTS_QUERY

See Also:
  Constant Field Values

### STORED_PROCEDURE_QUERY

    static final java.lang.String STORED_PROCEDURE_QUERY

See Also:
  Constant Field Values

### PARAMETERS_QUERY

    static final java.lang.String PARAMETERS_QUERY

See Also:
  Constant Field Values

### USER_DEFINED_DATATYPE_QUERY

    static final java.lang.String USER_DEFINED_DATATYPE_QUERY

See Also:
  Constant Field Values

### USER_DEFINED_DATATYPE_INFO_QUERY

    static final java.lang.String USER_DEFINED_DATATYPE_INFO_QUERY

See Also:
  Constant Field Values

### ALL_USER_DEFINED_DATATYPE_INFO_QUERY

    static final java.lang.String ALL_USER_DEFINED_DATATYPE_INFO_QUERY

See Also:
  Constant Field Values

### SYSTEM_DEFINED_DATATPYE_QUERY

    static final java.lang.String SYSTEM_DEFINED_DATATPYE_QUERY

See Also:
  Constant Field Values

### INDEX_NAME_QUERY

    static final java.lang.String INDEX_NAME_QUERY

See Also:
  Constant Field Values

### QUERY_INDICES_OF_SCHEMA_TABLE

    static final java.lang.String QUERY_INDICES_OF_SCHEMA_TABLE

See Also:
  Constant Field Values

### INDEX_INFO_QUERY

    static final java.lang.String INDEX_INFO_QUERY

See Also:
  Constant Field Values

### INDEX_COL_QUERY

    static final java.lang.String INDEX_COL_QUERY

See Also:
  Constant Field Values

### INDEX_COL_STATUS3_QUERY

    static final java.lang.String INDEX_COL_STATUS3_QUERY

See Also:
  Constant Field Values

### FUNC_INDEX_COL_QUERY

    static final java.lang.String FUNC_INDEX_COL_QUERY

See Also:
  Constant Field Values

### CACHE_QUERY

    static final java.lang.String CACHE_QUERY

See Also:
  Constant Field Values

### PARTITION_QUERY

    static final java.lang.String PARTITION_QUERY

See Also:
  Constant Field Values

### TABLE_PARTITION_INFO

    static final java.lang.String TABLE_PARTITION_INFO

See Also:
  Constant Field Values

### TABLE_PARTITION_COLS

    static final java.lang.String TABLE_PARTITION_COLS

See Also:
  Constant Field Values

### SELECT_ROUND_PARTITIONS

    static final java.lang.String SELECT_ROUND_PARTITIONS

See Also:
  Constant Field Values

### SELECT_HASH_PARTITIONS

    static final java.lang.String SELECT_HASH_PARTITIONS

See Also:
  Constant Field Values

### SELECT_RANGE_LIST_PARTITIONS

    static final java.lang.String SELECT_RANGE_LIST_PARTITIONS

See Also:
  Constant Field Values

### SEGMENT_QUERY

    static final java.lang.String SEGMENT_QUERY

See Also:
  Constant Field Values

### SEGMENT_THRESHOLD_QUERY

    static final java.lang.String SEGMENT_THRESHOLD_QUERY

See Also:
  Constant Field Values

### TRIGGER_QUERY

    static final java.lang.String TRIGGER_QUERY

See Also:
  Constant Field Values

### QUERY_TRIGGERS_OF_SCHEMA_TABLE

    static final java.lang.String QUERY_TRIGGERS_OF_SCHEMA_TABLE

See Also:
  Constant Field Values

### QUERY_TRIGGER_INFO

    static final java.lang.String QUERY_TRIGGER_INFO

See Also:
  Constant Field Values

### QUERY_TRIGGER_ENABLE

    static final java.lang.String QUERY_TRIGGER_ENABLE

See Also:
  Constant Field Values

### CONCURRENCY_THRESHOLD_QUERY

    static final java.lang.String CONCURRENCY_THRESHOLD_QUERY

See Also:
  Constant Field Values

### TABLE_CACHE_INFO_QUERY

    static final java.lang.String TABLE_CACHE_INFO_QUERY

See Also:
  Constant Field Values

### TABLE_CACHE_STRATEGY_QUERY

    static final java.lang.String TABLE_CACHE_STRATEGY_QUERY

See Also:
  Constant Field Values

### UNIQUE_PK_QUERY

    static final java.lang.String UNIQUE_PK_QUERY

See Also:
  Constant Field Values

### QUERY_FOREIGN_KEY_NAME

    static final java.lang.String QUERY_FOREIGN_KEY_NAME

See Also:
  Constant Field Values

### QUERY_FOREIGNKEY_MEMBERS

    static final java.lang.String QUERY_FOREIGNKEY_MEMBERS

See Also:
  Constant Field Values

### QUERY_FOREIGNKEY_UNIQUEINDEX

    static final java.lang.String QUERY_FOREIGNKEY_UNIQUEINDEX

See Also:
  Constant Field Values

### QUERY_REF_INDEX

    static final java.lang.String QUERY_REF_INDEX

See Also:
  Constant Field Values

### QUERY_CHECK_CONSTRAINTS

    static final java.lang.String QUERY_CHECK_CONSTRAINTS

See Also:
  Constant Field Values

### QUERY_CHECK_CONSTRAINTS_SOURCE

    static final java.lang.String QUERY_CHECK_CONSTRAINTS_SOURCE

See Also:
  Constant Field Values

### QUERY_CHECK_CONSTRAINTS_CREATOR

    static final java.lang.String QUERY_CHECK_CONSTRAINTS_CREATOR

See Also:
  Constant Field Values

### QUERY_COLUMNCHECK_CONSTRAINTS_CREATOR

    static final java.lang.String QUERY_COLUMNCHECK_CONSTRAINTS_CREATOR

See Also:
  Constant Field Values

### QUERY_TABLE_COLUMNS

    static final java.lang.String QUERY_TABLE_COLUMNS

See Also:
  Constant Field Values

### QUERY_COMPUTED_ENCRYPTED_COLUMNS

    static final java.lang.String QUERY_COMPUTED_ENCRYPTED_COLUMNS

See Also:
  Constant Field Values

### QUERY_COMPUTED_COLUMNS

    static final java.lang.String QUERY_COMPUTED_COLUMNS

See Also:
  Constant Field Values

### QUERY_ENCRYPTED_COLUMNS

    static final java.lang.String QUERY_ENCRYPTED_COLUMNS

See Also:
  Constant Field Values

### COLUMNS_OF_TABLE_QUERY_12x

    static final java.lang.String COLUMNS_OF_TABLE_QUERY_12x

See Also:
  Constant Field Values

### QUERY_INLINE_DEFAULT

    static final java.lang.String QUERY_INLINE_DEFAULT

See Also:
  Constant Field Values

### QUERY_COLUMN_BINDED_DEFAULT

    static final java.lang.String QUERY_COLUMN_BINDED_DEFAULT

See Also:
  Constant Field Values

### QUERY_COLUMN_DATATYPE

    static final java.lang.String QUERY_COLUMN_DATATYPE

See Also:
  Constant Field Values

### QUERY_COLUMN_ENCRYPTIONKEY

    static final java.lang.String QUERY_COLUMN_ENCRYPTIONKEY

See Also:
  Constant Field Values

### ENCRYPT_COL_ATTR

    static final java.lang.String ENCRYPT_COL_ATTR

See Also:
  Constant Field Values

### COMPUTED_COL_EXPRESSION

    static final java.lang.String COMPUTED_COL_EXPRESSION

See Also:
  Constant Field Values

### INLINE_CHECKCONSTRAINT_OF_COLUMN

    static final java.lang.String INLINE_CHECKCONSTRAINT_OF_COLUMN

See Also:
  Constant Field Values

### QUERY_COLUMN_BINDED_RULE

    static final java.lang.String QUERY_COLUMN_BINDED_RULE

See Also:
  Constant Field Values

### LOCK_PROMOTE

    static final java.lang.String LOCK_PROMOTE

See Also:
  Constant Field Values

### SP_CONFIGURE

    static final java.lang.String SP_CONFIGURE

See Also:
  Constant Field Values

### REMOTE_OBJECT_OF_PROXY_TABLE_QUERY

    static final java.lang.String REMOTE_OBJECT_OF_PROXY_TABLE_QUERY

See Also:
  Constant Field Values

### ATTRIBUTES_OF_DATABASE_QUERY_PRE150

    static final java.lang.String ATTRIBUTES_OF_DATABASE_QUERY_PRE150

See Also:
  Constant Field Values

### ATTRIBUTES_OF_DATABASE_QUERY

    static final java.lang.String ATTRIBUTES_OF_DATABASE_QUERY

See Also:
  Constant Field Values

### DATABASE_QUERY

    static final java.lang.String DATABASE_QUERY

See Also:
  Constant Field Values

### DATABASE_QUERY_PARM_4_DBNAME

    static final java.lang.String DATABASE_QUERY_PARM_4_DBNAME

See Also:
  Constant Field Values

### CACHE_BINDINGS_OF_DATABASE_QUERY

    static final java.lang.String CACHE_BINDINGS_OF_DATABASE_QUERY

See Also:
  Constant Field Values

### DB_RECOVERY_ORDER

    static final java.lang.String DB_RECOVERY_ORDER

See Also:
  Constant Field Values

### LOG_IO_SIZE_OF_DB

    static final java.lang.String LOG_IO_SIZE_OF_DB

See Also:
  Constant Field Values

### SQL_GET_GROUPS_IN_A_DATABASE

    static final java.lang.String SQL_GET_GROUPS_IN_A_DATABASE

See Also:
  Constant Field Values

### SQL_GET_USERS_IN_A_DATABASE

    static final java.lang.String SQL_GET_USERS_IN_A_DATABASE

See Also:
  Constant Field Values

### QROUP_USERS_QUERY

    static final java.lang.String QROUP_USERS_QUERY

See Also:
  Constant Field Values

### ROLES_QUERY

    static final java.lang.String ROLES_QUERY

See Also:
  Constant Field Values

### ROLES_QUERY_NONDBO

    static final java.lang.String ROLES_QUERY_NONDBO

See Also:
  Constant Field Values

### SDSSERVER_QUERY

    static final java.lang.String SDSSERVER_QUERY

See Also:
  Constant Field Values

### QUERY_DATABASE_CACHES

    static final java.lang.String QUERY_DATABASE_CACHES

See Also:
  Constant Field Values

### QUERY_SYSTEM_PROCEDURE

    static final java.lang.String QUERY_SYSTEM_PROCEDURE

See Also:
  Constant Field Values

### QUERY_AUTHID_PRIVILEGES

    static final java.lang.String QUERY_AUTHID_PRIVILEGES

See Also:
  Constant Field Values

### QUERY_OBJECT_PRIVILEGES

    static final java.lang.String QUERY_OBJECT_PRIVILEGES

See Also:
  Constant Field Values

### QUERY_OBJECT_PRIVILEGES_FILTER_SCHEMA

    static final java.lang.String QUERY_OBJECT_PRIVILEGES_FILTER_SCHEMA

See Also:
  Constant Field Values

### QUERY_PROCEDURE_STATUS

    static final java.lang.String QUERY_PROCEDURE_STATUS

See Also:
  Constant Field Values

### QUERY_COLUMN_STATUS

    static final java.lang.String QUERY_COLUMN_STATUS

See Also:
  Constant Field Values

### QUERY_OBJECT_ID

    static final java.lang.String QUERY_OBJECT_ID

See Also:
  Constant Field Values

### QUERY_USER_INFO

    static final java.lang.String QUERY_USER_INFO

See Also:
  Constant Field Values

### QUERY_FOREIGNKEY_MATCH_FULL

    static final java.lang.String QUERY_FOREIGNKEY_MATCH_FULL

See Also:
  Constant Field Values

### QUERY_TEMPDB_NAME

    static final java.lang.String QUERY_TEMPDB_NAME

See Also:
  Constant Field Values